This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 131927 - lauch up2date says '6 updates available 0 ignored' on the tool tip, but when run says that the system is fully updated.
lauch up2date says '6 updates available 0 ignored' on the tool tip, but when ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 18:04 EDT by Mark Friends
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Friends 2004-09-06 18:04:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040805 Netscape/7.2

Description of problem:
up2date icon on the tool bar always stays red even if there were
updates that did complete. 

the tool tip says '6 updates available 0 ignored' but when launch
up2date is run the information popup says 'Your system is fully
updated. No new packages are needed.'

I have successfully updated several times since installing core 2 but
the program apparently doesn't think it is updated.

The kernal is 2.6.8-1.521.

Version-Release number of selected component (if applicable):
up2date-4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1. Verify tool tip indicates updates available.
2. Launch up2date and verify that system is refreshed.
3.
    

Actual Results:  the tool tip says '6 updates available 0 ignored' but
when launch up2date is run the information popup says 'Your system is
fully updated. No new packages are needed.'

Expected Results:  The up2date icon should be green and there should
be no updates available if the system is fully updated.

Additional info:
Comment 1 morgan read 2005-02-12 04:35:23 EST
Same problem, same version of up2date, kernel-2.6.10-1.9_FC2 (though
my expectations are a little different - should it be a green ball or
a blue ball...).

Additional info - 
-Just done a big up-date (first in a looong time);
-The "ignore" tab in up2date-applet configuration has gone, thus:
--I have the "kernel*" package listed in the "Package Exceptions" tab
of "Red Hat Network Configuration" (up2date-config);
--I'm not able to enter "kernel*" in the "ignore" list of
up2date-applet configuration;
-So, up2date-applet keeps telling me I've got one more package to
up-date ("kernel*" I presume) when I'm all done.
--the up2date-applet reports "1 update available (0 ignored)", when I
would like/expect it to report "1 update available (1 ignored)" and
not be red (what ever colour it should be?)

Does this scenario make sense?
Regards,
Morgan.
PS How about raising the severity quotient a little - I hate having to
tell my windoze friends that that red exclamation mark means it's
broken...
Comment 2 morgan read 2005-02-12 04:52:09 EST
Sorry...
I take that all back!
I forgot how to left-click on the up2date-applet...
Perhaps the severity is best left where it is;)
Regards,
Morgan.
Comment 3 Matthew Miller 2005-04-26 11:57:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 David Lawrence 2006-04-18 16:15:11 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 5 John Thacker 2006-04-22 11:10:06 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.  (This particular bug I recall sometimes
happening because the rhn-applet and up2date were hitting different mirrors
which hadn't updated that same time.  Annoying, but not really fixable.)

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.